
<button id="ProductSubmitButton-{{ shx_section_id }}" class="scroll-to-cart-button" type="submit" name="add">
  In den Warenkorb
</button>


<style>
  .scroll-to-cart-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    background-color: #ff6600;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    z-index: 1000;
  }
  
</style>

<script>
  document.addEventListener('scroll', function() {
    var scrollButton = document.getElementsByClassName('scroll-to-cart-button')[0];
    
    if (scrollButton === undefined) return

    if (window.scrollY > 300) { // Zeigt den Button an, wenn mehr als 300px gescrollt wird
      scrollButton.style.display = 'block';
    } else {
      scrollButton.style.display = 'none';
    }
  });
  
</script>